// packageH/income/consumeReward/consumeDetails/consumeDetails.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    info: {},
    recordFlag: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getDetails(options.id);
  },
  setRecordFlag() {
    this.setData({
      recordFlag: !this.data.recordFlag,
    });
  },
  getDetails(detail_id) {
    let urlStr = app.getNetAddresss(
      "plugin.consume-reward.frontend.member.getOrderDetail"
    );
    app._getNetWork({
      url: urlStr,
      data: { detail_id },
      success: (resdata) => {
        let res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        console.log(res);
        this.setData({
          info: res.data,
        });
      },
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
